cls

if not exist bin\scd.dll goto wrongdir

@echo off
rem ------------------------------------------------
REM If MFC samples are installed, we get rid of the 
REM RES dirs in SCRIBBLE

if not exist mfc\samples\scribble\step0\*.* goto nomfcsam
cd mfc\samples
del scribble\step0\res\*.ico
del scribble\step0\res\*.bmp
rd scribble\step0\res
del scribble\step1\res\*.ico
del scribble\step1\res\*.bmp
rd scribble\step1\res
del scribble\step2\res\*.ico
del scribble\step2\res\*.bmp
rd scribble\step2\res
del scribble\step3\res\*.ico
del scribble\step3\res\*.bmp
rd scribble\step3\res
del scribble\step4\res\*.ico
del scribble\step4\res\*.bmp
del scribble\step4\*.res
rd scribble\step4\res
del scribble\step5\res\*.ico
del scribble\step5\res\*.bmp
rd scribble\step5\res
cd ..\..
@echo DONE
@echo .

:nomfcsam
rem ------------------------------------------------
REM If MFC is installed, get rid of README directory

if not exist MFC\README\*.* goto nomfcrd
@echo Deleting MFC\README
del mfc\readme\*.txt
rd mfc\readme
@echo DONE
@echo .

:nomfcrd
rem ------------------------------------------------
REM Patching BIN directory

@echo Patching BIN directory
patch .\bin bin.rtp /ignore /nopathsearch
@echo DONE
@echo .

rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\DLLPROJ directory

if not exist SAMPLES\WINDOWS\DLLPROJ\*.* goto nodllprj
@echo Patching SAMPLES\WINDOWS\DLLPROJ directory
patch .\samples\windows\dllproj dllprj.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nodllprj
rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\HELPEX directory

if not exist SAMPLES\WINDOWS\HELPEX\*.* goto nohelpex
@echo Patching SAMPLES\WINDOWS\HELPEX directory
patch .\samples\windows\helpex helpex.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nohelpex
rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\STRESS directory

if not exist SAMPLES\WINDOWS\STRESS\*.* goto nostress
@echo Patching SAMPLES\WINDOWS\STRESS directory
patch .\samples\windows\stress stress.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostress
rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\ZOOM directory

if not exist SAMPLES\WINDOWS\ZOOM\*.* goto nozoom
@echo Patching SAMPLES\WINDOWS\ZOOM directory
patch .\samples\windows\zoom zoom.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nozoom
rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\ANIMATE directory

if not exist SAMPLES\WINDOWS\ANIMATE\*.* goto noanimat
@echo Patching SAMPLES\WINDOWS\ANIMATE directory
patch .\samples\windows\animate animat.rtp /ignore /nopathsearch
@echo DONE
@echo .

:noanimat
rem ------------------------------------------------
REM Patching SAMPLES\WINDOWS\WCLOCK directory

if not exist SAMPLES\WINDOWS\WCLOCK\*.* goto nowclock
@echo Patching SAMPLES\WINDOWS\WCLOCK directory
patch .\samples\windows\wclock wclock.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nowclock
rem ------------------------------------------------
REM Patching LIB directory

@echo Patching LIB directory
patch .\lib lib.rtp /ignore /nopathsearch
@echo DONE
@echo .

rem ------------------------------------------------
REM Patching MFC directory

if not exist MFC\LIB\*.* goto nomfc
@echo Patching MFC directory
patch .\mfc  mfc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomfc
rem ------------------------------------------------
REM Patching MFC\SRC directory

if not exist MFC\SRC\*.* goto nomfcsrc
@echo Patching MFC\SRC directory
patch .\mfc\src  mfcsrc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomfcsrc
rem ------------------------------------------------
REM Patching MFC\LIB directory

if not exist MFC\LIB\*.* goto nomfclib
@echo Patching MFC\LIB directory
patch .\mfc\lib  mfclib.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomfclib
rem ------------------------------------------------
REM Patching MFC\INCLUDE directory

if not exist MFC\INCLUDE\*.* goto nomfcinc
@echo Patching MFC\INCLUDE directory
patch .\mfc\include  mfcinc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomfcinc
rem ------------------------------------------------
REM Patching MFC\SAMPLES\CALC directory

if not exist MFC\SAMPLES\CALC\*.* goto nocalc
@echo Patching MFC\SAMPLES\CALC directory
patch .\mfc\samples\calc calc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nocalc
rem ------------------------------------------------
REM Patching MFC\SAMPLES\CHKBOOK directory

if not exist MFC\SAMPLES\CHKBOOK\*.* goto nochkbok
@echo Patching MFC\SAMPLES\CHKBOOK directory
patch .\mfc\samples\chkbook chkbok.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nochkbok
rem ------------------------------------------------
REM Patching MFC\SAMPLES\CRTLBARS directory

if not exist MFC\SAMPLES\CTRLBARS\*.* goto noctrlbr
@echo Patching MFC\SAMPLES\CTRLBARS directory
patch .\mfc\samples\ctrlbars ctrlbr.rtp /ignore /nopathsearch
@echo DONE
@echo .

:noctrlbr
rem ------------------------------------------------
REM Patching MFC\SAMPLES\CTRLTEST directory

if not exist MFC\SAMPLES\CTRLTEST\*.* goto noctrlts
@echo Patching MFC\SAMPLES\CTRLTEST directory
patch .\mfc\samples\ctrltest ctrlts.rtp /ignore /nopathsearch
@echo DONE
@echo .

:noctrlts
rem ------------------------------------------------
REM Patching MFC\SAMPLES\DIB directory

if not exist MFC\SAMPLES\DIB\*.* goto nodib
@echo Patching MFC\SAMPLES\DIB directory
patch .\mfc\samples\dib dib.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nodib
rem ------------------------------------------------
REM Patching MFC\SAMPLES\DIBLOOK directory

if not exist MFC\SAMPLES\DIBLOOK\*.* goto nodiblok
@echo Patching MFC\SAMPLES\DIBLOOK directory
patch .\mfc\samples\diblook diblok.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nodiblok
rem ------------------------------------------------
REM Patching MFC\SAMPLES\DLLTRACE directory

if not exist MFC\SAMPLES\DLLTRACE\*.* goto nodlltrc
@echo Patching MFC\SAMPLES\DLLTRACE directory
patch .\mfc\samples\DLLTRACE dlltrc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nodlltrc
rem ------------------------------------------------
REM Patching MFC\SAMPLES\DOCTEMP directory

if not exist MFC\SAMPLES\DOCTEMP\*.* goto nodoctmp
@echo Patching MFC\SAMPLES\DOCTEMP directory
patch .\mfc\samples\DOCTEMP doctmp.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nodoctmp
rem ------------------------------------------------
REM Patching MFC\SAMPLES\HELLO directory

if not exist MFC\SAMPLES\HELLO\*.* goto nohello
@echo Patching MFC\SAMPLES\HELLO directory
patch .\mfc\samples\hello hello.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nohello
rem ------------------------------------------------
REM Patching MFC\SAMPLES\HELLOAPP directory

if not exist MFC\SAMPLES\HELLOAPP\*.* goto noheloap
@echo Patching MFC\SAMPLES\HELLOAPP directory
patch .\mfc\samples\helloapp heloap.rtp /ignore /nopathsearch
@echo DONE
@echo .

:noheloap
rem ------------------------------------------------
REM Patching MFC\SAMPLES\HIERSVR directory

if not exist MFC\SAMPLES\HIERSVR\*.* goto nohier
@echo Patching MFC\SAMPLES\HIERSVR directory
patch .\mfc\samples\hiersvr hier.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nohier
rem ------------------------------------------------
REM Patching MFC\SAMPLES\MDI directory

if not exist MFC\SAMPLES\MDI\*.* goto nomdi
@echo Patching MFC\SAMPLES\MDI directory
patch .\mfc\samples\mdi mdi.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomdi
rem ------------------------------------------------
REM Patching MFC\SAMPLES\MINSVR directory

if not exist MFC\SAMPLES\MINSVR\*.* goto nominsvr
@echo Patching MFC\SAMPLES\MINSVR directory
patch .\mfc\samples\minsvr minsvr.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nominsvr
rem ------------------------------------------------
REM Patching MFC\SAMPLES\MULTIPAD directory

if not exist MFC\SAMPLES\MULTIPAD\*.* goto nomulti
@echo Patching MFC\SAMPLES\MULTIPAD directory
patch .\mfc\samples\multipad multi.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nomulti
rem ------------------------------------------------
REM Patching MFC\SAMPLES\OCLIENT directory

if not exist MFC\SAMPLES\OCLIENT\*.* goto nooclt
@echo Patching MFC\SAMPLES\OCLIENT directory
patch .\mfc\samples\oclient oclt.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nooclt
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SPEAKN directory

if not exist MFC\SAMPLES\SPEAKN\*.* goto nospeakn
@echo Patching MFC\SAMPLES\SPEAKN directory
patch .\mfc\samples\speakn speakn.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nospeakn
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SUPERPAD directory

if not exist MFC\SAMPLES\SUPERPAD\*.* goto nosuper
@echo Patching MFC\SAMPLES\SUPERPAD directory
patch .\mfc\samples\superpad super.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nosuper
rem ------------------------------------------------
REM Patching MFC\SAMPLES\TRACER directory

if not exist MFC\SAMPLES\TRACER\*.* goto notracer
@echo Patching MFC\SAMPLES\TRACER directory
patch .\mfc\samples\tracer tracer.rtp /ignore /nopathsearch
@echo DONE
@echo .

:notracer
rem ------------------------------------------------
REM Patching MFC\SAMPLES\DLLHUSK directory

if not exist MFC\SAMPLES\DLLHUSK\*.* goto nohusk
@echo Patching MFC\SAMPLES\DLLHUSK directory
patch .\mfc\samples\DLLHUSK husk.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nohusk
rem ------------------------------------------------
REM Patching MFC\SAMPLES\VIEWEX directory

if not exist MFC\SAMPLES\VIEWEX\*.* goto noviewex
@echo Patching MFC\SAMPLES\VIEWEX directory
patch .\mfc\samples\viewex viewex.rtp /ignore /nopathsearch
@echo DONE
@echo .

:noviewex
rem ------------------------------------------------
REM Patching MFC\SAMPLES\VBCHART directory

if not exist MFC\SAMPLES\VBCHART\*.* goto novbchrt
@echo Patching MFC\SAMPLES\VBCHART directory
patch .\mfc\samples\VBCHART vbchrt.rtp /ignore /nopathsearch
@echo DONE
@echo .

:novbchrt
rem ------------------------------------------------
REM Patching MFC\SAMPLES\VBCIRCLE directory

if not exist MFC\SAMPLES\VBCIRCLE\*.* goto novbcirc
@echo Patching MFC\SAMPLES\VBCIRCLE directory
patch .\mfc\samples\vbcircle vbcirc.rtp /ignore /nopathsearch
@echo DONE
@echo .

:novbcirc
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP0 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP0\*.* goto nostep0
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP0 directory
patch .\mfc\samples\scribble\step0 step0.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep0
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP1 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP1\*.* goto nostep1
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP1 directory
patch .\mfc\samples\scribble\step1 step1.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep1
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP2 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP2\*.* goto nostep2
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP2 directory
patch .\mfc\samples\scribble\step2 step2.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep2
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP3 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP3\*.* goto nostep3
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP3 directory
patch .\mfc\samples\scribble\step3 step3.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep3
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP4 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP4\*.* goto nostep4
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP4 directory
patch .\mfc\samples\scribble\step4 step4.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep4
rem ------------------------------------------------
REM Patching MFC\SAMPLES\SCRIBBLE\STEP5 directory

if not exist MFC\SAMPLES\SCRIBBLE\STEP5\*.* goto nostep5
@echo Patching MFC\SAMPLES\SCRIBBLE\STEP5 directory
patch .\mfc\samples\scribble\step5 step5.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nostep5
rem ------------------------------------------------
REM Patching HELP directory

if not exist HELP\*.* goto nohelp
@echo Patching HELP directory
patch .\help help.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nohelp
rem ------------------------------------------------
REM Patching INCLUDE directory

@echo Patching INCLUDE directory
patch .\include incl.rtp /ignore /nopathsearch
@echo DONE
@echo .

rem ------------------------------------------------
REM Patching INCLUDE\SYS directory

if not exist INCLUDE\SYS\*.* goto nosys
@echo Patching INCLUDE\SYS directory
patch .\include\sys incsys.rtp /ignore /nopathsearch
@echo DONE
@echo .

:nosys
rem ------------------------------------------------
REM Patching README directory

if not exist README\*.* goto :delete
@echo Patching README directory
patch .\readme readme.rtp /ignore /nopathsearch
@echo DONE
@echo .

:delete

rem -----------------------------------------------
REM Deleting exe2bin.pif if not needed

if exist BIN\SCW.EXE goto optcfg
if exist LIB\SDS.LIB goto optcfg
del bin\exe2bin.pif

:optcfg
rem -----------------------------------------------
REM Deleting config file if OptLink not installed

if exist BIN\LINK.EXE goto textmode
if exist BIN\LINKD.DLL goto textmode
del bin\optlink.cfg

:textmode
rem -----------------------------------------------
REM Deleting config files if no text-mode debugger

if exist BIN\SCDW.EXE goto end
if exist BIN\SCD.EXE goto end
del bin\scdb*.cfg

:end
rem ===============================================
REM Cleaning up patch files

@echo .
@echo Successfully updated version 6.0 to 6.1
@echo .
@echo About to delete patch files.
@echo If you do not want the following files to be
@echo deleted, press Ctrl+Break, otherwise, press any key:
@echo.
@echo PATCH.EXE	   *.RTP     DOPATCH.BAT
@echo .
pause

del patch.exe
del *.rtp
@echo .
@echo We recommend deleting STD61.EXE and UPDATE.BAT to free up 
@echo 4 MB of disk space
@echo .
goto done

:wrongdir
@echo Compiler not found.  Probably copied STD61.EXE to wrong directory

:done
